Subject: Re: [PATCH 0/6] ci: speed-up the Windows parts of our GitHub workflow

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Jul 2021 15:03:32 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> This patch series upgrades to newer versions of a couple GitHub Actions we
> use, and also streamlines the Windows jobs using the relatively new
> setup-git-for-windows-sdk Action
> [https://github.com/marketplace/actions/setup-git-for-windows-sdk] (Git for
> Windows is running with this Action for a while now, getting all the kinks
> out).
>
> This patch series should also address the problem where seen was pushed so
> rapidly that the windows-test jobs failed because they no longer checked out
> the identical revision as the windows-build job.

https://github.com/git/git/actions/runs/991636423 is the run on the
real 'seen' for the day, which fails vs-build.  The same 'seen',
with this topic excluded, seems to make everything pass and can be
seen at https://github.com/git/git/actions/runs/991543592

CI/PR(seen) runs in the past few days all include this topic, and all
of them have failed the vs-build job.

Thanks.